From bb1d46e808c18af343eadec8cd0dbfaefa90ca5a Mon Sep 17 00:00:00 2001
From: Bharath Rupireddy <bharath.rupireddyforpostgres@gmail.com>
Date: Fri, 12 Aug 2022 04:26:23 +0000
Subject: [PATCH v1] Remove log_checkpoints = true from .pl tests

With commit 64da07c41a8c0a680460cdafc79093736332b6cf making
default value of log_checkpoints to on, this patch removes
explicit settings in perl tests saving 5 LOC.
---
 src/test/recovery/t/009_twophase.pl        | 1 -
 src/test/recovery/t/012_subtransactions.pl | 1 -
 src/test/recovery/t/019_replslot_limit.pl  | 3 ---
 3 files changed, 5 deletions(-)

diff --git a/src/test/recovery/t/009_twophase.pl b/src/test/recovery/t/009_twophase.pl
index 3e25b8c4eb..b0e027d718 100644
--- a/src/test/recovery/t/009_twophase.pl
+++ b/src/test/recovery/t/009_twophase.pl
@@ -36,7 +36,6 @@ $node_london->init(allows_streaming => 1);
 $node_london->append_conf(
 	'postgresql.conf', qq(
 	max_prepared_transactions = 10
-	log_checkpoints = true
 ));
 $node_london->start;
 $node_london->backup('london_backup');
diff --git a/src/test/recovery/t/012_subtransactions.pl b/src/test/recovery/t/012_subtransactions.pl
index f8075097a9..713c98b9ca 100644
--- a/src/test/recovery/t/012_subtransactions.pl
+++ b/src/test/recovery/t/012_subtransactions.pl
@@ -15,7 +15,6 @@ $node_primary->init(allows_streaming => 1);
 $node_primary->append_conf(
 	'postgresql.conf', qq(
 	max_prepared_transactions = 10
-	log_checkpoints = true
 ));
 $node_primary->start;
 $node_primary->backup('primary_backup');
diff --git a/src/test/recovery/t/019_replslot_limit.pl b/src/test/recovery/t/019_replslot_limit.pl
index ce8d36b4c6..da6043cd01 100644
--- a/src/test/recovery/t/019_replslot_limit.pl
+++ b/src/test/recovery/t/019_replslot_limit.pl
@@ -21,7 +21,6 @@ $node_primary->append_conf(
 	'postgresql.conf', qq(
 min_wal_size = 2MB
 max_wal_size = 4MB
-log_checkpoints = yes
 ));
 $node_primary->start;
 $node_primary->safe_psql('postgres',
@@ -259,7 +258,6 @@ $node_primary2->append_conf(
 	'postgresql.conf', qq(
 min_wal_size = 32MB
 max_wal_size = 32MB
-log_checkpoints = yes
 ));
 $node_primary2->start;
 $node_primary2->safe_psql('postgres',
@@ -312,7 +310,6 @@ $node_primary3->append_conf(
 	'postgresql.conf', qq(
 	min_wal_size = 2MB
 	max_wal_size = 2MB
-	log_checkpoints = yes
 	max_slot_wal_keep_size = 1MB
 	));
 $node_primary3->start;
-- 
2.34.1

